> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance-1.0-Pro-Fast 動画生成

> - Seedance 1.0 Pro Fast (doubao-seedance-1.0-pro-fast) モデルは、テキストから動画、画像から動画など複数の生成モードをサポートしています
- 非同期処理モード、返されたタスクIDを使用して[照会](/ja/api-manual/task-management/get-task-detail)してください
- 生成された動画リンクは24時間有効です。速やかに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/seedance1.0/seedance-1.0-pro-fast-video-generate.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: doubao-seedance-1.0-pro-fast API
  description: AIモデルを使用して動画生成タスクを作成し、テキストから動画への生成モードをサポート
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 動画生成
    description: AI動画生成関連API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: doubao-seedance-1.0-pro-fast API
      description: >-
        - Seedance 1.0 Pro Fast (doubao-seedance-1.0-pro-fast)
        モデルは、テキストから動画、画像から動画など複数の生成モードをサポートしています

        -
        非同期処理モード、返されたタスクIDを使用して[照会](/ja/api-manual/task-management/get-task-detail)してください

        - 生成された動画リンクは24時間有効です。速やかに保存してください
      operationId: createVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              text_to_video_basic:
                summary: テキストから動画（基本）
                value:
                  model: doubao-seedance-1.0-pro-fast
                  prompt: A cat playing piano
      responses:
        '200':
          description: 動画生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    doubao-seedance-1.0-pro-fast
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 動画生成モデル名
          enum:
            - doubao-seedance-1.0-pro-fast
          default: doubao-seedance-1.0-pro-fast
          example: doubao-seedance-1.0-pro-fast
        prompt:
          type: string
          description: 生成したい動画を説明するプロンプト、2000トークンまで
          example: A cat playing piano
          maxLength: 2000
        duration:
          type: integer
          description: |-
            生成される動画の長さ（秒）を指定します。デフォルトは `5` 秒

            **注意:**
            - `2` 秒から `12` 秒の間の任意の整数値をサポート
            - 1回のリクエストの課金は `duration` の値に基づきます。長い動画ほどコストが高くなります
          minimum: 2
          maximum: 12
        quality:
          type: string
          description: |-
            動画の解像度、デフォルトは `1080p`

            **注意:**
            - `480p`: 低解像度、低価格
            - `720p`: 標準画質、標準価格
            - `1080p`: 高画質、高価格、これがデフォルト値です
          enum:
            - 480p
            - 720p
            - 1080p
          example: 1080p
        aspect_ratio:
          type: string
          description: >-
            動画のアスペクト比


            **テキストから動画モード:**

            - デフォルト値: `16:9`

            - サポートされる値:
            `16:9`（横長）、`9:16`（縦長）、`1:1`（正方形）、`4:3`、`3:4`、`21:9`（ウルトラワイド）


            **画像から動画モード（image_urls 使用時）:**

            - デフォルト値: `adaptive`

            - サポートされる値: 上記6つの比率に加え、`keep_ratio`（元のアスペクト比を維持）と
            `adaptive`（自動適応）もサポート
          example: '16:9'
        image_urls:
          type: array
          description: >-
            画像から動画機能用の参照画像URLリスト


            **注意:**

            - 1回のリクエストでサポートされる画像数: `1` 枚

            - 画像サイズ: `10MB` 以下

            - サポートされるファイル形式: `.jpg`、`.jpeg`、`.png`、`.webp`

            - 画像URLはサーバーから直接閲覧可能であるか、アクセス時に直接ダウンロードが開始される必要があります（通常、これらのURLは
            `.png`、`.jpg` などの画像拡張子で終わります）
          items:
            type: string
            format: uri
          maxItems: 1
          example:
            - https://example.com/image.jpg
        callback_url:
          type: string
          description: >-
            タスク完了後のHTTPSコールバックURL


            **コールバックのタイミング:**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限:**

            - HTTPSプロトコルのみサポート

            -
            内部ネットワークIPアドレスへのコールバックは禁止されています（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URLの長さは `2048` 文字以下である必要があります


            **コールバックメカニズム:**

            - タイムアウト: `10` 秒

            - 失敗後最大 `3` 回リトライ（失敗後 `1`/`2`/`4` 秒後にリトライ）

            - コールバックのレスポンスボディ形式はタスク照会APIのレスポンス形式と一致します

            - コールバックURLが2xxステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1761313744
        id:
          type: string
          description: タスク ID
          example: task-unified-1761313744-vux2jw0k
        model:
          type: string
          description: 使用された実際のモデル名
          example: doubao-seedance-1.0-pro-fast
        object:
          type: string
          enum:
            - video.generation.task
          description: タスクの具体的なタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスクの出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 165
        video_duration:
          type: integer
          description: 動画の長さ（秒）
          example: 8
    VideoUsage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 8
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````